Page MenuHomePhabricator

Clear icon should be 75% of the size in MobileFrontend search
Closed, ResolvedPublic0.5 Story Points

Description

Per @Nirzar

  • Introduce -small modifier to mediawiki ui icon in core (Fixed in Ia140779d488dddf9014087e8d48852c8c53977e3)
  • Clear icon in search should add the mw-ui-icon-small modifier
  • The RHS padding of the clear icon is reduced to match that of the icon on the LHS

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 17 2016, 9:36 PM
Jdlrobson renamed this task from Clear icon should be 75% of the size to Clear icon should be 75% of the size in MobileFrontend search.Aug 17 2016, 9:38 PM
Jdlrobson added projects: MobileFrontend, Design.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: Nirzar.
Jdlrobson added a subscriber: Volker_E.
jhobs added a subscriber: jhobs.

@Nirzar please put whatever priority you think is appropriate. And to be clear, this is to be applied to MF to override core's styles, not to be applied to core, correct?

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptAug 18 2016, 8:23 PM

@Nirzar, would you please add a "As an x I want y so that z" to this?

Jdlrobson updated the task description. (Show Details)Aug 22 2016, 9:33 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a project: Technical-Debt.

@dr0ptp4kt no need. This is a technical debt task.

In Triaged but Future, but no priority. Got one?

Nirzar triaged this task as Normal priority.Aug 25 2016, 8:56 PM

Change 306796 had a related patch set uploaded (by Jdlrobson):
Clear icon should be small

https://gerrit.wikimedia.org/r/306796

Change 306796 merged by jenkins-bot:
Clear icon should be small

https://gerrit.wikimedia.org/r/306796

phuedx added a subscriber: phuedx.Aug 26 2016, 9:45 AM

This LGTM.

Tested in the following browsers:

  • Chrome (52.0.2743.116) on OS X El Capitan (10.11.6)
  • Firefox (47.0.1) on OS X El Capitan (10.11.6)
  • Safari (9.1.2) on OS X El Capitan (10.11.6)
  • Edge 14 on Windows 10
  • Windows Phone 8.1 on an emulated Nokia Lumia 930
  • Chrome (49.0.2623.91) on a Galaxy S7
  • Chrome (49.0.2623.91) on a Galaxy Tab 4 10.1

@Nirzar: Now that the icon has been made smaller should we reduce the padding on the RHS accordingly?

phuedx reassigned this task from Jdlrobson to Nirzar.Aug 26 2016, 9:45 AM

@Nirzar: Now that the icon has been made smaller should we reduce the padding on the RHS accordingly?

YES! thank you. top right bottom should be the same space. you can adjust the padding accordingly.

Should that be in a follow on task? If so, @Nirzar, would you please sign off on this task and close resolved if appropriate?

Should that be in a follow on task? If so, @Nirzar, would you please sign off on this task and close resolved if appropriate?

@Nirzar: Gimme a number and I'll submit a patch. It's such a trivial change that creating a follow-on task for it seems frivolous and we run the risk of missing the next branch cut.

phuedx updated the task description. (Show Details)Aug 26 2016, 5:56 PM

Sorry, read your comment after i created the subtask. i marked the subtask invalid.

here's the value

.search-overlay .clear {
right: 0.5em;
}

Change 307052 had a related patch set uploaded (by Phuedx):
Search Overlay: Reduce clear icon's right gutter

https://gerrit.wikimedia.org/r/307052

Change 307052 merged by jenkins-bot:
Search Overlay: Reduce clear icon's right gutter

https://gerrit.wikimedia.org/r/307052

MBinder_WMF set the point value for this task to 0.5.Aug 29 2016, 4:03 PM

@dr0ptp4kt Can we resolve this? Otherwise it needs to be carried over to Reading-Web-Sprint-80-V-for-Vandalism

Nirzar closed this task as Resolved.Aug 29 2016, 5:46 PM

I defer to @Nirzar. @Nirzar, would you please mark Resolved if it's Done?